/*
Theme Name:   Ollie Child
Theme URI:    https://olliewp.com
Description:  A child theme for Ollie.
Author:       OllieWP
Author URI:   http://example.com
Template:     ollie
Version:      1.0.0
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Tags:         Tags: blog, portfolio, entertainment
Text Domain:  ollie
*/


@Import url("https://use.typekit.net/gok1cow.css");


.lainaus {
hyphens: auto;
}

.wp-block-button.is-style-outline .wp-block-button__link:hover {
color: inherit !important;
outline-color: inherit !important;
}

.search-filter-component-combobox--mode-multiple .search-filter-component-combobox__selection-item {
display: inline-flex;
align-items: center;
box-sizing: border-box;
max-width: 100%;
background-color: var(--search-filter-input-border-color);
padding: 0;
margin: 2px;
font-size: var(--wp--preset--font-size--x-small);
border-radius: 3px;

}

.search-filter-component-combobox__actions {
color: var(--search-filter-input-background-color);
font-weight: 600;
}

.search-filter-component-combobox--mode-multiple .search-filter-component-combobox__selection-item .search-filter-component-combobox__selection-remove >svg {
fill: var(--search-filter-input-background-color);
}

.search-filter-component-combobox--mode-multiple .search-filter-component-combobox__selection-placeholder{
font-weight: 400;
color: var(--wp--preset--color--primary-accent) !important;
}




.wp-block-post .wp-block-group.has-border-color:hover {
    border-color: var(--wp--preset--color--primary) !important;
}

address{
font-style: normal;
}




.wp-block-query-pagination-numbers {
display: flex;
justify-content: center;
align-items: center;
gap: 1rem;
}

.wpcf7-submit{
background-color: var(--wp--preset--color--main) !important;
color: var(--wp--preset--color--primary) !important;
border-radius: 5px;
border:0;
padding: .5rem 1rem;
}

.wpcf7-form-control {
    width: 100%;
}


.wp-element-button .wp-block-button__link-icon
 {
transition: translate 0.2s cubic-bezier(0.4,0,0.2,1);
}

.wp-element-button:hover:has(.wp-block-button__link-icon) .wp-block-button__link-icon
 {
    translate: 20% 0;
}

.wp-block-navigation .has-child .wp-block-navigation-submenu__toggle[aria-expanded=true]~.wp-block-navigation__submenu-container, .wp-block-navigation .has-child:not(.open-on-click):hover>.wp-block-navigation__submenu-container {
    padding: 0 10px;
}

.wp-block-navigation__responsive-container-close, .wp-block-navigation__responsive-container-open {
padding: 4px;
border-radius: 3px;
background: var(--wp--preset--color--primary);
color: var(--wp--preset--color--main);
}

.wp-block-navigation .wp-block-navigation__submenu-icon {
height: 1em;
width: 1em;
}

/* Change submenu icon color when the link is hovered or active */
.wp-block-navigation.tw-nav-active-primary-color li.current-menu-item > a + .wp-block-navigation__submenu-icon,
.wp-block-navigation.tw-nav-hover-primary-color li a:hover + .wp-block-navigation__submenu-icon {
    color: var(--wp--preset--color--accent, var(--wp--preset--color--accent-1, var(--wp--preset--color--primary)));
}


.wc-subcategories-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    margin-bottom: 2rem;
    padding: 5px;
}
.wc-subcategory {
    flex: 1 1 calc(33.333% - 1rem);
    max-width: calc(33.333% - 1rem);
    box-sizing: border-box;
    text-align: center;
    background-color: var(--wp--preset--color--main);
    border-radius: 10px;
    display: flex;
    height: auto;
    width: 100%;
    flex-direction: column;
    margin: 0;
    justify-content: flex-start;
    position: relative;
    overflow: hidden;
    padding: 2.25rem 3rem;
}

@media (max-width: 600px) {
  .wc-subcategory {
    flex: 1 1 calc(50% - 1rem);
    max-width: calc(50% - 1rem);
    padding: 1.25rem 1.4rem;

  }

}

.wc-subcategory:hover {
    outline: 2px solid var(--wp--preset--color--primary);
}


.wc-subcategory-link {
    position: absolute;
    inset: 0;
    z-index: 10;
    text-indent: -9999px;
    /* Optional: for accessibility */
    background: rgba(0,0,0,0);
    cursor: pointer;
}

.wc-subcategory img {
    max-width: 100%;
    height: auto;
    border-radius: 8px;
}

.wc-subcategory h3 {
    font-family: var(--wp-preset-font-family--body);
    font-size: var(--wp--preset--font-size--small);
    font-weight: 400;
    text-align: left;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.wc-block-components-notices{
    display: none;
}

.wc-subcategory img  {
margin: 0;
height: 4rem;
width: 4rem;
border-radius: 1rem;
background-image: linear-gradient(to bottom right, #ffdc00, #ccb100);
-o-object-fit: contain;
object-fit: contain;
-o-object-position: center;
object-position: center;
padding: .75rem .5rem;
}


.wc-sidebar-subcat-products {
    margin: 0;
    height: 100vh;
    overflow: scroll;
    border-radius: 10px; 
    border: 1px solid var(--wp--preset--color--secondary);
}

.wc-sidebar-subcat h4 { 
    margin:0; 
    font-size: var(--wp--preset--font-size--x-small);
    background-color: var(--wp--preset--color--primary);
    color:var(--wp--preset--color--main);
    font-family: var(--wp-preset-font-family--body);
    padding-top: 1rem;
    padding-bottom: 1rem;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
}
.wc-sidebar-products { list-style: none; margin: 0; padding: 0; }
.wc-sidebar-products li a{
    display: block;
    position: relative;
    padding-top: 1.25rem;
    padding-bottom: 1.25rem;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    align-items: center;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: var(--wp--preset--font-size--x-small);
    text-decoration: none;
    font-weight: 500;
    border-bottom:1px solid var(--wp--preset--color--secondary);
}

.wc-sidebar-products li:hover a{
    background-color: var(--wp--preset--color--primary-border-dark);
    color:var(--wp--preset--color--primary);
}

.tw-empty-hidden:has(.tw-empty-hidden:empty) {
    display: none;
}